walkerofskies
Posts: 3
Joined: Thu Aug 22, 2019 1:18 pm

unable to Install 32bits glibc library

Thu Aug 22, 2019 1:39 pm

Hello,

As stated in the subject I am having difficulties with the installation. I am on the Raspbian Distro (Buster).

The commands I have used are:

Code: Select all

sudo apt-get install ia32-libs
tells me the package is unavailable. I also attempted to add architecture i386 with

Code: Select all

sudo dpkg --add-architecture i386; apt-get update
that gives me an error saying buster doesn't support that architecture. I also tried installing 32bits glibc library onto CentOS 7 and got the same error.

The reason I am wanting to install glibc library is because I want to install Symantec Endpoint Protection 14 and the install fails because I need that library installed on the PI.

I have contacted Symantec on this issue and they have told me that I need to talk to Linux in order fix this problem.

thank you

fruitoftheloom
Posts: 20485
Joined: Tue Mar 25, 2014 12:40 pm
Location: Delightful Dorset

Re: unable to Install 32bits glibc library

Thu Aug 22, 2019 5:20 pm

walkerofskies wrote:
Thu Aug 22, 2019 1:39 pm
Hello,

As stated in the subject I am having difficulties with the installation. I am on the Raspbian Distro (Buster).

The commands I have used are:

Code: Select all

sudo apt-get install ia32-libs
tells me the package is unavailable. I also attempted to add architecture i386 with

Code: Select all

sudo dpkg --add-architecture i386; apt-get update
that gives me an error saying buster doesn't support that architecture. I also tried installing 32bits glibc library onto CentOS 7 and got the same error.

The reason I am wanting to install glibc library is because I want to install Symantec Endpoint Protection 14 and the install fails because I need that library installed on the PI.

I have contacted Symantec on this issue and they have told me that I need to talk to Linux in order fix this problem.

thank you


Why are you trying to install packages for x86 CPU Architecture...

...the Raspberry Pi SBC is ARM CPU Architecture !
:shock:
Retired disgracefully.....

User avatar
PeterO
Posts: 4942
Joined: Sun Jul 22, 2012 4:14 pm

Re: unable to Install 32bits glibc library

Thu Aug 22, 2019 5:48 pm

Actually they say

Linux Hardware Requirements

Intel Pentium 4 (2 GHz CPU or higher)
1 GB of RAM
7 GB of free space on the hard disk
So you're out of luck on a PI :-(

PeterO
Discoverer of the PI2 XENON DEATH FLASH!
Interests: C,Python,PIC,Electronics,Ham Radio (G0DZB),1960s British Computers.
"The primary requirement (as we've always seen in your examples) is that the code is readable. " Dougie Lawson

walkerofskies
Posts: 3
Joined: Thu Aug 22, 2019 1:18 pm

Re: unable to Install 32bits glibc library

Tue Aug 27, 2019 9:00 pm

Sorry for the late response.

So the end goal is getting our corporate Anti-Virus on our Raspberry Pis.

It seems like that's not going to be a possibility. Do you guys have an opinion on the matter? Is there a recommendation on how to secure a raspberry pi? Other software?

This may be a time where i should just start another forum.

thanks,

User avatar
scruss
Posts: 2419
Joined: Sat Jun 09, 2012 12:25 pm
Location: Toronto, ON
Contact: Website

Re: unable to Install 32bits glibc library

Tue Aug 27, 2019 9:53 pm

The good thing about running an armhf machine is that Windows viruses and malware that target x86/x86_64 just won't run. That's not to say that malware won't run on your Raspberry Pi — there's still the huge potential vector that is Javascript in the browser — but the classic binary payload of an x86 virus does nothing on a Raspberry Pi.
‘Remember the Golden Rule of Selling: “Do not resort to violence.”’ — McGlashan.

walkerofskies
Posts: 3
Joined: Thu Aug 22, 2019 1:18 pm

Re: unable to Install 32bits glibc library

Wed Aug 28, 2019 3:26 pm

Well that's good to know.

Our original thought was to have a raspberry pi connected to our company network to basically display data on a screen.

I couldn't help but feel like that creates a weak spot in our network with a device not having Anti-Virus on it. I guess I don't know enough about Raspberry Pi's or Linux for that matter.

Thanks for all your input!

User avatar
DougieLawson
Posts: 35805
Joined: Sun Jun 16, 2013 11:19 pm
Location: Basingstoke, UK
Contact: Website Twitter

Re: unable to Install 32bits glibc library

Wed Aug 28, 2019 3:50 pm

Just install ClamAV - it does nothing useful on a Raspbian system but will satisfy the pointy haired bosses that you're protected.
Note: Having anything humorous in your signature is completely banned on this forum. Wear a tin-foil hat and you'll get a ban.

Any DMs sent on Twitter will be answered next month.

This is a doctor free zone.

Return to “Troubleshooting”